org.h2gis.functions.io.utility

## Class FileUtil

- java.lang.Object
- - org.h2gis.functions.io.utility.FileUtil

    public class FileUtil
    extends Object

Some utilities

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`FileUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isExtensionWellFormated(File file, String prefix)` Check if the file has the good extension
`static boolean` `isFileImportable(File file, String prefix)` Check if the file is well formatted regarding an extension prefix.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtil

    public FileUtil()

### Method Detail

#### isFileImportable

    public static boolean isFileImportable(File file,
                                           String prefix)
                                    throws SQLException,
                                           FileNotFoundException

Check if the file is well formatted regarding an extension prefix. Check also if the file doesn't exist.

Parameters:
  `file` -
  `prefix` -
Returns:
Throws:
  `SQLException`
  `FileNotFoundException`

#### isExtensionWellFormated

    public static boolean isExtensionWellFormated(File file,
                                                  String prefix)

Check if the file has the good extension

Parameters:
  `file` -
  `prefix` -
Returns: